Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Problem with fglrx 8.11 and Fedora 10 (preview)

  1. #1
    Join Date
    Jan 2008
    Location
    Argentina
    Posts
    1

    Default Problem with fglrx 8.11 and Fedora 10 (preview)

    Hi, I'm trying to install ati-driver-installer-8-11-x86.x86_64.run in Fedora 10 (Preview)..... but it gives me following error:

    Code:
    # sh ati-driver-installer-8-11-x86.x86_64.run --buildpkg Fedora/F9
    Created directory fglrx-install.lAfbZ8                                                                 
    Verifying archive integrity... All good.                                                               
    Uncompressing ATI Proprietary Linux Driver-8.552.................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................                                                                                                                          
    ==================================================                                                                                                                                                             
     ATI Technologies Linux Driver Installer/Packager                                                                                                                                                              
    ==================================================                                                                                                                                                             
    Generating package: Fedora/F9                                                                                                                                                                                  
    mv: cannot stat `/tmp/ATI-fglrx-8.552-1-18725-root/BUILD/ATI-fglrx-8.552/usr/X11R6/lib/modules/dri/*': No such file or directory                                                                               
    mv: cannot stat `/tmp/ATI-fglrx-8.552-1-18725-root/BUILD/ATI-fglrx-8.552/usr/X11R6/lib/*.so.*': No such file or directory                                                                                      
    Package build failed!                                                                                                                                                                                          
    Package build utility output:                                                                                                                                                                                  
    Building target platforms: x86_64                                                                                                                                                                              
    Building for target x86_64                                                                                                                                                                                     
    
    ..............
    .........
    
    Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    Requires: libGL.so.1()(64bit) libX11.so.6()(64bit) libXext.so.6()(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libm.so.6()(64bit)
    Processing files: ATI-fglrx-IA32-libs-8.552-1.f9
    error: File not found by glob: /tmp/ATI-fglrx-8.552-1-18725-root/BUILDROOT/ATI-fglrx-8.552-1.f9.x86_64/usr/X11R6/lib/modules/dri/*
    
    
    RPM build errors:
        File not found by glob: /tmp/ATI-fglrx-8.552-1-18725-root/BUILDROOT/ATI-fglrx-8.552-1.f9.x86_64/usr/X11R6/lib/modules/dri/*
    Removing temporary directory: fglrx-install.lAfbZ8
    I have a sapphire ati radeon 3870 x2.

    I try with http://www.phoronix.com/forums/showthread.php?t=5983 but appears to be for F7...

    anyone has the same problem....

    regards....

  2. #2
    Join Date
    Feb 2008
    Location
    Canada
    Posts
    10

    Default

    See here - http://www.phoronix.com/forums/showthread.php?t=13994

    Unfortunately the past two releases don't work with Fedora 9/10 and 8.09 doesn't have Xserver 1.5 support, so Fedora uses have to use the open-source drivers for now until ATI can fix the problem.
    Firewing1

  3. #3
    Join Date
    Jun 2008
    Posts
    168

    Default

    Quote Originally Posted by firewing1 View Post
    See here - http://www.phoronix.com/forums/showthread.php?t=13994

    Unfortunately the past two releases don't work with Fedora 9/10 and 8.09 doesn't have Xserver 1.5 support, so Fedora uses have to use the open-source drivers for now until ATI can fix the problem.
    Firewing1
    You probably paste the wrong link.

  4. #4
    Join Date
    Feb 2008
    Location
    Canada
    Posts
    10

    Default

    Quote Originally Posted by panda84 View Post
    You probably paste the wrong link.
    Oh, sorry - I meant this thread: http://www.phoronix.com/forums/showthread.php?t=13886
    Firewing1

  5. #5
    Join Date
    Jun 2007
    Posts
    63

    Default

    I did an upgrade to the F10 preview and installed Catalyst 8.11, which gives me a graphical display, but without OpenGL. The relevant errors are as following:

    $ egrep "WW|EE" /var/log/Xorg.0.log
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    (WW) AllowEmptyInput is on, devices using drivers 'kbd' or 'mouse' will be disabled.
    (WW) Disabling Keyboard0
    (II) Loading extension MIT-SCREEN-SAVER
    (WW) Warning, couldn't open module type1
    (EE) Failed to load module "type1" (module does not exist, 0)
    (WW) Falling back to old probe method for v4l
    (WW) Falling back to old probe method for fglrx
    (WW) This ATI Proprietary Linux Driver does not guarantee support of video driver ABI higher than 2.0
    (WW) Video driver ABI version of the X server is 4.1
    (WW) fglrx(0): Failed to get kernel info
    (EE) fglrx(0): Failed to initialize ASIC in kernel.
    (EE) fglrx(0): [FB] Can not get FB MC address range.
    (WW) fglrx(0): board is an unknown third party board, chipset is supported
    (WW) fglrx(0): Unknown vendor-specific block f
    (EE) fglrx(0): Failed to enable interrupts.
    (WW) fglrx(0): Kernel Module version does *not* match driver.
    (EE) fglrx(0): incompatible kernel module detected - HW accelerated OpenGL will not work
    (WW) fglrx(0): ***********************************************
    (WW) fglrx(0): * DRI initialization failed! *
    (WW) fglrx(0): * (maybe driver kernel module missing or bad) *
    (WW) fglrx(0): * 2D acceleraton available (MMIO) *
    (WW) fglrx(0): * no 3D acceleration available *
    (WW) fglrx(0): ********************************************* *
    (WW) fglrx(0): Textured Video not supported without DRI enabled.
    (EE) fglrx(0): XMM failed to open CMMQS connection.
    (WW) fglrx(0): Option "VendorName" is not used
    (WW) fglrx(0): Option "ModelName" is not used

    $ glxgears
    X Error of failed request: BadRequest (invalid request code or no such operation)
    Major opcode of failed request: 158 (GLX)
    Minor opcode of failed request: 19 (X_GLXQueryServerString)
    Serial number of failed request: 12
    Current serial number in output stream: 12

    Same error for "amdcccle", "glxinfo", "fglrxinfo"

    Kernel version 2.6.27.5-117.fc10.i686

    The start-up sequence does not show me a graphical boot. Xv does of course not work, but as somebody else pointed out here before, videos in x11 video mode look surprisingly good and fluid. Going into hibernation hangs the system and gives me a garbled display.
    So yeah, the new Xserver is working with Catalyst 4.11 on F9 (tested before upgrading to F10) and I manage to get a graphical display with F10 - does this mean that the problem does not lie with the Xserver but with the kernel (and might be solved with a kernel update)?
    Last edited by Christian_L; 11-24-2008 at 01:35 PM.

  6. #6
    Join Date
    Dec 2007
    Location
    Germany
    Posts
    365

    Default

    Your problem is that you're telling the fglrx package to create an F9 rpm while using F10. That actually shouldn't be much of a problem, but with the F10 update one also updates the rpm utility to version 2.6, which breaks compatibility, and thus the fglrx package fails to create the rpm file.
    For a workaround just install it via the automatic installation routine. This isn't very clean, but it should work.

  7. #7
    Join Date
    Apr 2008
    Posts
    7

    Default

    Quote Originally Posted by NeoBrain View Post
    Your problem is that you're telling the fglrx package to create an F9 rpm while using F10. That actually shouldn't be much of a problem, but with the F10 update one also updates the rpm utility to version 2.6, which breaks compatibility, and thus the fglrx package fails to create the rpm file.
    For a workaround just install it via the automatic installation routine. This isn't very clean, but it should work.
    It doesn't work, no matter which way is used to install the driver. I tried the RPM package generated by the RPM Fusion repository.

    By the way, the RPM program version number in Fedora is actually 4.6.0, not 2.6. In addition, the all the packages for the older RPM should work just fine, since the file format hasn't changed in an incompatible way.

  8. #8
    Join Date
    Aug 2007
    Posts
    6,646

    Default

    @Christian_L

    (EE) fglrx(0): incompatible kernel module detected - HW accelerated OpenGL will not work

    That means that you are using the fglrx kernel module from an older driver. You have to reboot if you don't know how to unload that correctly.

  9. #9
    Join Date
    Jun 2007
    Posts
    63

    Default

    Quote Originally Posted by Kano View Post
    @Christian_L

    (EE) fglrx(0): incompatible kernel module detected - HW accelerated OpenGL will not work

    That means that you are using the fglrx kernel module from an older driver. You have to reboot if you don't know how to unload that correctly.
    I've rebooted multiple times since the installation (with hibernation being broken...) but the problem is still there. "lsmod | grep fglrx" returns nothing, while "lsmod | grep radeon" spits out

    radeon 234192 2
    drm 158260 2 radeon
    i2c_algo_bit 8836 1 radeon
    i2c_core 21396 4 i2c_i801,radeon,drm,i2c_algo_bit

    Is the presence of the radeon driver a problem? I have installed the driver with "sh ati-driver-installer-8-11-x86.x86_64.run" and it returned no errors. Since I only installed 8.11 in the new F10 kernel, there should be no way for a kernel module from an old driver to be present there - or am I understanding this wrong?

  10. #10
    Join Date
    Aug 2007
    Posts
    6,646

    Default

    dkms status

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •